Package com.independentsoft.office.vml

# Class ShapePath

java.lang.Object
com.independentsoft.office.vml.ShapePath

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class ShapePath extends Object implements IShapeElement, IVmlElement
The Class ShapePath.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapePath()`
  Instantiates a new shape path.
  `ShapePath​(InternalXMLStreamReader reader)`
  Instantiates a new shape path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapePath`
  `clone()`
  `String`
  `getConnectionPoint()`
  Gets the connection point.
  `String`
  `getConnectionPointConnectAngles()`
  Gets the connection point connect angles.
  `ConnectType`
  `getConnectionPointType()`
  Gets the connection point type.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getLimoStretchPoint()`
  Gets the limo stretch point.
  `String`
  `getTextBoxBoundingBox()`
  Gets the text box bounding box.
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `hasEnableGradient()`
  Checks for enable gradient.
  `boolean`
  `isDisplayArrowhead()`
  Checks if is display arrowhead.
  `boolean`
  `isDisplayExtrusion()`
  Checks if is display extrusion.
  `boolean`
  `isDisplayFill()`
  Checks if is display fill.
  `boolean`
  `isDisplayShadow()`
  Checks if is display shadow.
  `boolean`
  `isDisplayStroke()`
  Checks if is display stroke.
  `boolean`
  `isDisplayTextPath()`
  Checks if is display text path.
  `boolean`
  `isInsetStrokeFromPath()`
  Checks if is inset stroke from path.
  `void`
  `setConnectionPoint​(String connectionPoint)`
  Sets the connection point.
  `void`
  `setConnectionPointConnectAngles​(String connectionPointConnectAngles)`
  Sets the connection point connect angles.
  `void`
  `setConnectionPointType​(ConnectType connectionPointType)`
  Sets the connection point type.
  `void`
  `setDisplayArrowhead​(boolean displayArrowhead)`
  Sets the display arrowhead.
  `void`
  `setDisplayExtrusion​(boolean displayExtrusion)`
  Sets the display extrusion.
  `void`
  `setDisplayFill​(boolean displayFill)`
  Sets the display fill.
  `void`
  `setDisplayShadow​(boolean displayShadow)`
  Sets the display shadow.
  `void`
  `setDisplayStroke​(boolean displayStroke)`
  Sets the display stroke.
  `void`
  `setDisplayTextPath​(boolean displayTextPath)`
  Sets the display text path.
  `void`
  `setEnableGradient​(boolean enableGradient)`
  Sets the enable gradient.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setInsetStrokeFromPath​(boolean insetStrokeFromPath)`
  Sets the inset stroke from path.
  `void`
  `setLimoStretchPoint​(String limoStretchPoint)`
  Sets the limo stretch point.
  `void`
  `setTextBoxBoundingBox​(String textBoxBoundingBox)`
  Sets the text box bounding box.
  `void`
  `setValue​(String val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapePath

    public ShapePath()
    Instantiates a new shape path.

  - ### ShapePath

    public ShapePath​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shape path.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public ShapePath clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isDisplayArrowhead

    public boolean isDisplayArrowhead()
    Checks if is display arrowhead.
    Returns:
      true, if is display arrowhead

  - ### setDisplayArrowhead

    public void setDisplayArrowhead​(boolean displayArrowhead)
    Sets the display arrowhead.
    Parameters:
      `displayArrowhead` - the new display arrowhead

  - ### getConnectionPointConnectAngles

    public String getConnectionPointConnectAngles()
    Gets the connection point connect angles.
    Returns:
      the connection point connect angles

  - ### setConnectionPointConnectAngles

    public void setConnectionPointConnectAngles​(String connectionPointConnectAngles)
    Sets the connection point connect angles.
    Parameters:
      `connectionPointConnectAngles` - the new connection point connect angles

  - ### getConnectionPoint

    public String getConnectionPoint()
    Gets the connection point.
    Returns:
      the connection point

  - ### setConnectionPoint

    public void setConnectionPoint​(String connectionPoint)
    Sets the connection point.
    Parameters:
      `connectionPoint` - the new connection point

  - ### getConnectionPointType

    public ConnectType getConnectionPointType()
    Gets the connection point type.
    Returns:
      the connection point type

  - ### setConnectionPointType

    public void setConnectionPointType​(ConnectType connectionPointType)
    Sets the connection point type.
    Parameters:
      `connectionPointType` - the new connection point type

  - ### isDisplayExtrusion

    public boolean isDisplayExtrusion()
    Checks if is display extrusion.
    Returns:
      true, if is display extrusion

  - ### setDisplayExtrusion

    public void setDisplayExtrusion​(boolean displayExtrusion)
    Sets the display extrusion.
    Parameters:
      `displayExtrusion` - the new display extrusion

  - ### isDisplayFill

    public boolean isDisplayFill()
    Checks if is display fill.
    Returns:
      true, if is display fill

  - ### setDisplayFill

    public void setDisplayFill​(boolean displayFill)
    Sets the display fill.
    Parameters:
      `displayFill` - the new display fill

  - ### hasEnableGradient

    public boolean hasEnableGradient()
    Checks for enable gradient.
    Returns:
      true, if successful

  - ### setEnableGradient

    public void setEnableGradient​(boolean enableGradient)
    Sets the enable gradient.
    Parameters:
      `enableGradient` - the new enable gradient

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### isInsetStrokeFromPath

    public boolean isInsetStrokeFromPath()
    Checks if is inset stroke from path.
    Returns:
      true, if is inset stroke from path

  - ### setInsetStrokeFromPath

    public void setInsetStrokeFromPath​(boolean insetStrokeFromPath)
    Sets the inset stroke from path.
    Parameters:
      `insetStrokeFromPath` - the new inset stroke from path

  - ### getLimoStretchPoint

    public String getLimoStretchPoint()
    Gets the limo stretch point.
    Returns:
      the limo stretch point

  - ### setLimoStretchPoint

    public void setLimoStretchPoint​(String limoStretchPoint)
    Sets the limo stretch point.
    Parameters:
      `limoStretchPoint` - the new limo stretch point

  - ### isDisplayShadow

    public boolean isDisplayShadow()
    Checks if is display shadow.
    Returns:
      true, if is display shadow

  - ### setDisplayShadow

    public void setDisplayShadow​(boolean displayShadow)
    Sets the display shadow.
    Parameters:
      `displayShadow` - the new display shadow

  - ### isDisplayStroke

    public boolean isDisplayStroke()
    Checks if is display stroke.
    Returns:
      true, if is display stroke

  - ### setDisplayStroke

    public void setDisplayStroke​(boolean displayStroke)
    Sets the display stroke.
    Parameters:
      `displayStroke` - the new display stroke

  - ### getTextBoxBoundingBox

    public String getTextBoxBoundingBox()
    Gets the text box bounding box.
    Returns:
      the text box bounding box

  - ### setTextBoxBoundingBox

    public void setTextBoxBoundingBox​(String textBoxBoundingBox)
    Sets the text box bounding box.
    Parameters:
      `textBoxBoundingBox` - the new text box bounding box

  - ### isDisplayTextPath

    public boolean isDisplayTextPath()
    Checks if is display text path.
    Returns:
      true, if is display text path

  - ### setDisplayTextPath

    public void setDisplayTextPath​(boolean displayTextPath)
    Sets the display text path.
    Parameters:
      `displayTextPath` - the new display text path

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String val)
    Sets the value.
    Parameters:
      `val` - the new value